FreeBSD : typo3 -- Multiple vulnerabilities in TYPO3 Core (79818ef9-2d10-11e2-9160-00262d5ed8ee)

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Typo Security Team reports :

TYPO3 Backend History Module - Due to missing encoding of user input,
the history module is susceptible to SQL Injection and Cross-Site
Scripting. A valid backend login is required to exploit this
vulnerability. Credits go to Thomas Worm who discovered and reported
the issue.

TYPO3 Backend API - Failing to properly HTML-encode user input the
tree render API (TCA-Tree) is susceptible to Cross-Site Scripting.
TYPO3 Versions below 6.0 does not make us of this API, thus is not
exploitable, if no third party extension is installed which uses this
API. A valid backend login is required to exploit this vulnerability.
Credits go to Richard Brain who discovered and reported the issue.

See also :

http://www.nessus.org/u?a8e68ecf
http://www.nessus.org/u?c8b284d6

Solution :

Update the affected packages.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 62957 ()

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now